Bug 923039 - (CVE-2013-1885) CVE-2013-1885 Certificate System: pki-tps XSS flaw
CVE-2013-1885 Certificate System: pki-tps XSS flaw
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20130522,repor...
: Security
Depends On: 947603 966189 966190
Blocks: 760283 923042
  Show dependency treegraph
 
Reported: 2013-03-18 23:59 EDT by Vincent Danen
Modified: 2016-03-04 06:04 EST (History)
10 users (show)

See Also:
Fixed In Version: pki-tps-8.1.5-1.el5pki
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-22 17:22:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2013-03-18 23:59:26 EDT
It was reported that Certificate System suffers from XSS flaws in the /tus/ and /tus/tus/ URLs, such as:

GET /tus/tus/%22%2b%61%6c%65%72%74%28%34%38%32%36%37%29%2b%22

or

GET /tus/%22%2b%61%6c%65%72%74%28%36%31%34%35%32%29%2b%22

which will in turn output something like:

<!--
var uriBase = "/tus/"+alert(85384)+";
var userid = "admin";

This was reported against Certificate System 8.1 and may also affect Dogtag 9 and 10.
Comment 16 Vincent Danen 2013-05-22 14:14:54 EDT
Created pki-tps tracking bugs for this issue

Affects: fedora-all [bug 966189]
Affects: epel-5 [bug 966190]
Comment 17 errata-xmlrpc 2013-05-22 14:22:30 EDT
This issue has been addressed in following products:

  Red Hat Certificate System 8

Via RHSA-2013:0856 https://rhn.redhat.com/errata/RHSA-2013-0856.html
Comment 20 Fedora Update System 2013-06-05 21:41:23 EDT
pki-tps-9.0.11-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.